VotAR : Vote with Augmented Reality
===================================

VotAR is an Augmented Reality audience Voting or audience survey system. Your audience hold some papers with a
specific printed symbols to vote, and as the speaker you take a photo of it with this app, it will analyze the
photo to count the votes.

Why?
----

- You want to get your audience feedback for a course or a conference ?
- You want to add something fun, high-tech, low-tech, simple and geeky to your presentation ?
- You don't want to spend thousands on clickers ?

How does it work ?
------------------

1.  Prepare a list of "single choice questions" with 2 to 4 possible choice to pick from, to use during a
    presentation
2.  Print and distribute one VotAR paper for each student on a color printer (double sided front and back ;
    back side can be hand-written). Can be downloaded here : http://poinsart.com/ftp/ste/votar/
3.  Ask the question you want to your audience
4.  Ask your audience to hold the colored side facing you and rotate it to see on their side the letter of
    their choice right side up
5.  Take a photo of your audience
6.  Wait until the results are displayed

If you want live display on a laptop + video-projector, which is recommended :

1.  Connect the smartphone and a laptop on the same wifi network or create an new wifi network
    (ad-hoc, wifi teethering...) on your smartphone and connect your laptop to it
2.  An URL is displayed on your smartphone, use it on your laptop with the latest version of Mozilla
    Firefox or Google Chrome (Internet Explorer not supported !)


Make the best of VotAR
----------------------

### Explaining to your audience how it works

While VotAR is simple to use for the audience, there will still be a few people who might not get how
it works, giving an optimal chance of using it correctly to your audience is important.

-   Write how it works before the first slide on the first question.
-   Explain it orally, and demonstrate it while holding a voting paper yourself
-   Make the first question a test question : ask a trivial question aimed to get an unanimous answer.
    It will also help you get an estimate of the error margin and participation.
-   Display the question on a videoprojector, it's a lot easier if the question is kept on screen
    and the audience don't have to memorize it
-   Timing is important. Most errors come from people lifting the paper at the wrong moment : explain to
    the audience that you are going to announce just before taking the photo, so they can be ready just
    at the right moment.

### Get the best vote detection rate

-   Good lighting and neutral white / ambient lighting helps to give a contrast boost and make the
    pictures less blurry. If the lighting is not neutral (i.e. yellow tint incandescent lighting),
    you can often try to adjust it with the smartphone camera features while in camera mode
-   Large rooms can be a challenge if you can't view all the audience because of the camera angle.
       *    try to ask to direct the audience seating so most of them are in the field of vision
       *    position yourself in the room to optimize the angle
       *    consider trying a "wide angle" lens compatible with your smartphone if you want to overcome
            this limit
       *    if the problem can't be solved, alternate to take a different part of the audience each 
            question so everyone can participate
 -  Adjust the picture resolution, usually 5mp works best with most phones, and for some high end
    phones VotAR can use up to 8mp. Anything too big will be scaled down.

Important limitations and legal warnings
----------------------------------------

-   While VotAR usually get an impressively accurate result, there is still an error margin. Don't
    use it for "official votes" (i.e. voting on a strategic decision...). Those votes could be contested
    and you could be put in a delicate situation.
-   Taking a photo of an audience, and making it available is often subjected to legal regulation
    (usually an individual can forbid his photo to be taken, used or redistributed). Make sure you are
    in compliance with laws in your country and have all the required authorizations to proceed.
-   If you use the live results remote display feature, anyone on the same network can access your
    last photo and it's statistics (even if you put the VotAR application in the background).
    Create your own secure wifi network from your smartphone if you want to prevent those access.
-   Classic disclaimer : VotAR developer can't be held responsible for any error, problem or
    inconvenience resulting from it's use.
